<div class="mat-elevation-z4">
  <mat-list>
    <div *ngIf="(messagesSent$ | async) as messagesSent; else loading">
      <ng-container *ngIf="messagesSent.length; else noMessages">
        <mat-list-item *ngFor="let message of messagesSent">
          <mat-icon mat-list-icon>mail</mat-icon>
          <h4 mat-line>Temat: {{message?.topic}}</h4>
          <h4 mat-line>Wysłane do: {{message?.recipient?.data?.firstName}} {{message?.recipient?.data?.lastName}}</h4>
          <p mat-line>{{message?.text}}</p>
          <p mat-line> {{message?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>
        </mat-list-item>
      </ng-container>
      <ng-template #noMessages>Nie wysłałeś jeszcze żadnych wiadomości.</ng-template>
    </div>
    <ng-template #loading>Ładowanie danych...</ng-template>
  </mat-list>
</div>
